@font-face {
    font-family: 'Amsterdam';
    src: url('/wp-content/fonts/Amsterdam-Four_ttf.woff2') format(woff2);
}
@keyframes popIn {
    0% {
        transform: translateY(calc(var(--visual-viewport-height) * 0.5));
    }
    100% {
        transform: translateY(-100%);
    }
}


input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button { -webkit-appearance: none; }
input[type=number] { -moz-appearance: textfield; }

p.stock.in-stock {
    display: none;
}

html body #container .summary.entry-summary {
    float: unset!important;
    width: auto;
    clear: unset;
    position: relative;
}

body {
    background-color: #f5f2ea;
} 




.product{
    overflow: hidden;
}

.product::after {
    content: '';
    position: absolute;
    top: 6%;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('https://amazing-williamson.93-93-116-169.plesk.page/wp-content/uploads/2026/04/single-product-bg.webp');
    opacity: 0.17;
    background-repeat: no-repeat;
    background-size: cover;
    box-sizing: border-box;
    background-position: right;
    pointer-events: none;
    z-index: -1;
}

html body .header {
    background-color: rgba(15,42,68,0.1)!important;
}

.centerLogo svg, .centerLogo svg * {
    stroke: transparent!important;
    fill: #0f2a44!important;
}

html .headerSepparator {
    visibility: hidden;
}

html body  .header a {
    color: #0f2a44!important;
}

.product {
    position: relative;
    padding: 0 10%;
    padding-top: 17vh;
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    padding-bottom: 60px;

}

.productImage img {
    width: 100%;
    display:block;
    height: 100%;
    object-fit: cover;
}

.productImages, .product .summary {
    width: 50%;
    min-width: 50%;
}

.productImages {
    padding-right: 10%;
    box-sizing: border-box;
}

.productImage {
    width: 100%;
    height: auto;
    margin-bottom: 4px;
}

.allCFFields {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    margin-top: 8vh;
}

html body .header {
    border-color: #0f2a44!important;
}

.cfAccordion {
    display: flex;
    flex-direction: row;
    position: relative;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #0f2a44;
    border-left: unset;
    border-right: unset;
    border-bottom: unset;
    padding-right: 2%;
    box-sizing: border-box;
    flex-wrap: wrap;
}

.cfAccordionTitle h2 {
    color: #0f2a44;
    font-family: 'Montserrat';
    font-weight: 500;
    font-size: 1.1em;
    text-transform: uppercase;
}

.cfAccordionIcon svg {
    width: 22px;
    height: 22px;
    object-fit: contain;
    transition: all 0.2s ease-in-out;
    transform-origin: center;
    cursor: pointer;
}

.cfAccordionIcon svg:hover {
    transform: rotate(5deg);
}

.active .cfAccordionIcon svg {
    transform: rotate(90deg);
}

.cfAccordionIcon {
    height: 22px;
    width: 50%;
    min-width: 50%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    cursor: pointer;
}

.allCFFields>div:last-child {
    border-bottom: 1px solid #0f2a44;
}

.cfAccordionContent {
    height: 0px;
    overflow: hidden;
    transition: all 0.25s ease-in-out;
}

.cfAccordionTitle {
    width: 50%;
    min-width: 50%;
    cursor: pointer;
}

.cfAccordionContent p {
    font-family: 'Playfair Display';
    color: black;
    font-weight: 400;
}

.quantity input {
    border: unset;
    background-color: transparent;
    width: 20px;
    height: 100%;
}

p.shownQuantitySelPlusButton {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cpath stroke='%230f2a4461' stroke-width='1.5' stroke-miterlimit='10' d='M7 0v14M0 7h14' fill='none'/%3E%3C/svg%3E");
}

p.shownQuantitySelMinusButton {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cpath stroke='%230f2a4461' stroke-width='1.5' stroke-miterlimit='10' d='M0 7h14' fill='none'/%3E%3C/svg%3E");
}


.shownQuantitySel p {
    font-family: 'Montserrat';
    color: transparent;
    font-size: 2em;
    margin: unset;
    cursor: pointer;
    transition: all 0.15s ease-in-out;
    background-position: center;
    background-size: 80%;
    background-repeat: no-repeat;
    user-select: none;
}

.quantity input {
    border: unset;
    background-color: transparent;
    width: 20px;
    height: 100%;
    text-align: center;
    font-family: 'Playfair Display';
    font-weight: 600;
    color: #0f2a44;
    outline: none!important;
    font-size: 1.5em;
    padding-bottom: 8px;
    box-sizing: border-box;
    margin: 0em 0.4em;
}

p.disabled {
    filter: opacity(0.5);
    cursor: not-allowed;
}

.productTitle {
    position: relative;
}



.productTitle h1 {
    font-family: 'Playfair Display';
    color: #0f2a44;
    text-transform: uppercase;
    font-weight: 600;
    position: relative;
    font-size: 2.2em;
    margin-bottom: 15px;
}

.productTitle h1 span {
    position: absolute;
    white-space: nowrap;
    text-wrap: nowrap;
    top: 100%;
    left: 40%;
    text-transform: capitalize;
    font-family: 'Amsterdam';
    line-height: 130%;
    font-weight: 500;
}


.productTitle h2 {
    font-family: 'Montserrat';
    font-weight: 300;
    color: #0f2a44;
    margin: unset;
    font-size: 0.9em;
    display: block;
    width: 37%;
}


.productTitle {
    position: relative;
    margin-bottom: 90px;
}

.productDescription {
    width: 80%;
    margin-bottom: 70px;
    color: black;
    font-family: 'Playfair Display';
    font-weight: 400;
    font-size: 1em;
}

.shownQuantitySel {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border: 2px solid rgba(15,42,68,0.19);
    padding: 0px 12px;
    height: 45px;
}

.quantity {
    padding-right: 20px;
}

form.cart>* {
    float: none!important;
}

form.cart {
    display: flex;
    flex-direction: row;
    height: 47px;
    margin-bottom: unset!important;
}

button.single_add_to_cart_button.button.alt {
    background-color: #0f2a44!important;
    border-radius: 0!important;
    font-family: 'PlayFair Display';
    font-size: 1.5em;
    line-height: normal;
    font-weight: 600;
    height: 47px!important;
    padding: 0px 13px;
    display: flex;
    align-items: center;
}


button.single_add_to_cart_button.button.alt span {
    padding-left: 10px;
    font-size: 13px;
    font-weight: 500;
}

.shippingTime p {
    font-family: 'Montserrat';
    margin: unset;
    color: #0f2a44;
    font-weight: 400;
    font-size: 0.9em;
    margin-top: 18px;
}

.certifications {
    position: absolute;
    width: 50px;
    top: 0;
    left: 100%;
    transform: translateX(-100%);
    height: auto;
}

.certification img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
}

.certification {
    width: 50px;
    height: 50px;
    margin-bottom: 10px;
}

.header.headerDesktop.headerStuck {
    background-color: rgba(255,255,255,0.9)!important;
}

.woocommerce-notices-wrapper {
    position: absolute;
    top: 13vh;
    z-index: 10;
}

.woocommerce-notices-wrapper * {
    font-family: 'Montserrat';
    font-weight: 500;
}

.woocommerce-notices-wrapper li, .woocommerce-message {
    display: flex;
    align-items: center;
}

.woocommerce-notices-wrapper>ul, .woocommerce-message {
    border-bottom-right-radius: 5px;
    background: white;
    filter: drop-shadow(5px 7px 6px rgba(0,0,0,0.3));
    outline: none!important;
}

.woocommerce-notices-wrapper a {
    margin-left: 25px!important;
    color: white!important;
    background-color: #0f2a44!important;
    font-family: 'Playfair Display';
}

.woocommerce-notices-wrapper>ul::before, .woocommerce-message::before {
    top: 50%;
    transform: translateY(-50%);
}




.technicalSheet p::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%,-5px);
    background-color: white;
    height: 2px;
    width: 0%;
    border-radius: 20px;
    transition: all 0.35s cubic-bezier(.44,.54,0,.88);
}

.technicalSheet p:hover::after {
width:86%;
}

.technicalSheet {
    display: flex;
    justify-content: flex-end;
}

.technicalSheet p {
    position: relative;
    white-space: nowrap;
    text-wrap: nowrap;
    font-family: 'Montserrat';
    font-weight: 500;
    cursor: pointer;
    color: #faf8f4;
    text-decoration: unset;
    background-color: #c8a96a;
    font-size: 1em;
    padding: 4px 50px;
    border-radius: 10px;
    margin-top: 6vh;
}

.technicalSheetModal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(1px);
    background-color:rgba(0,0,0,0.6);
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: all 0.25s ease-in-out;
}

.technicalSheetModal.techSheetModalActive{
    pointer-events: all;
    opacity:1;
}

.techSheetModalInactive{
    opacity: 0!important;
    pointer-events: none!important;
}


.technicalSheetModalInner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: auto;
    max-width: 90%;
    max-height: 95%;
}

.technicalSheetModalInner canvas {
    width: 100%;
    height: auto;
    object-fit: contain;
    display: block;
    max-height: 95vh;
}

.download {
    position: absolute;
    top: 99%;
    left: 100%;
    transform: translateX(30px) translateY(-100%);
}

.download a {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    text-decoration: unset;
    font-family: 'Playfair Display';
    color: #f5f2ea;
    font-size: 1.3em;
    font-weight: 600;
    align-items: flex-end;
}
.download svg {
    width: 30px;
    height: 40px;
    padding-right: 10px;
}

.closeModal {
    position: absolute;
    top: 1%;
    left: 100%;
    transform: translateX(30px);
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' viewBox='0 0 30 30'%3E%3Cpath style='fill:%23fff' d='M7 4a1 1 0 0 0-.707.293l-2 2a1 1 0 0 0 0 1.414L11.586 15l-7.293 7.293a1 1 0 0 0 0 1.414l2 2a1 1 0 0 0 1.414 0L15 18.414l7.293 7.293a1 1 0 0 0 1.414 0l2-2a1 1 0 0 0 0-1.414L18.414 15l7.293-7.293a1 1 0 0 0 0-1.414l-2-2a1 1 0 0 0-1.414 0L15 11.586 7.707 4.293A1 1 0 0 0 7 4'/%3E%3C/svg%3E");
    width: 40px;
    height: 40px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.notForSaleModal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(1px);
    background-color:rgba(0,0,0,0.8);
    z-index: 999;
    pointer-events: none;
    transition: .25s ease-in-out;
    opacity: 0;
}

.notForSaleModal.nfsModalActive {
    opacity: 1;
    pointer-events: all;
}

.nfsModalContent strong a {
    color: black;
}

.nfsModalInner {
    width: 60%;
    height: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-color: #f5f2ea;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.nfsModalTitle h2 {
    font-family: 'Playfair Display';
    font-weight: 700;
    font-size: 2.6em;
    color: rgb(15, 42, 68);
    text-align: center;
    margin-top: unset;
}

.nfsModalTitle h3 {
    margin: 0;
    margin-bottom: 1vh;
    text-align: center;
    font-family: 'Playfair Display';
    font-weight: 600;
    font-size: 1.3em;
    color: rgb(15, 42, 68);
}

.nfsModalContent p {
    font-family: 'Montserrat';
    width: 80%;
    text-align: center;
    margin: 0 auto;
    margin-bottom: 20px;
    color: black;
    font-weight: 400;
}

.nfsModalContent strong {
    color: rgb(15, 42, 68);
}

span.nfsModalClose {
    position: relative;
    white-space: nowrap;
    text-wrap: nowrap;
    font-family: 'Montserrat';
    font-weight: 500;
    cursor: pointer;
    color: #faf8f4;
    text-decoration: unset;
    background-color: #c8a96a;
    font-size: 1em;
    padding: 4px 50px;
    border-radius: 10px;
    margin-top: 15px;
}

.nfsModalContent {
    display: flex;
    flex-direction: column;
    align-items: center;
}

span.nfsModalClose::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%,-5px);
    background-color: white;
    height: 2px;
    width: 0%;
    border-radius: 20px;
    transition: all 0.35s cubic-bezier(.44,.54,0,.88);
}

span.nfsModalClose:hover::after{
    width:86%;
}


.nfsModalButtons {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.nfsModalButtons a {
    position: relative;
    white-space: nowrap;
    text-wrap: nowrap;
    font-family: 'Montserrat';
    font-weight: 500;
    cursor: pointer;
    color: #faf8f4;
    text-decoration: unset;
    background-color: #c8a96a;
    font-size: 1em;
    padding: 4px 50px;
    border-radius: 10px;
    margin-top: 15px;
}


.nfsModalButtons a::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%,-5px);
    background-color: white;
    height: 2px;
    width: 0%;
    border-radius: 20px;
    transition: all 0.35s cubic-bezier(.44,.54,0,.88);
}

.nfsModalButtons a:hover::after{
    width:86%;
}

.nfsModalBackground svg {
    width: 100%;
    height: 100%;
    display: block;
}

.nfsModalBackground {
    width: 400px;
    height: 400px;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-23%);
}

@media only screen and (max-width:1600px){

    .nfsModalButtons {
    width: 75%;
}


    .productTitle h1 {
    font-size: 2em;
}

.nfsModalInner {
    width: 70%;
}

.product {
    padding: 0 5%;
    padding-top:17vh;
    padding-bottom: 60px;
}

.productTitle {
    margin-bottom: 60px;
}

.productDescription {
    margin-bottom: 50px;
}

.cfAccordionTitle h2 {
    font-size: 1em;
}

.cfAccordionIcon svg {
    width: 19px;
    height: 19px;
}



}


@media only screen and (max-width: 1000px) {


    .technicalSheetModal {
    backdrop-filter: blur(2px);
    background-color:rgba(0,0,0,0.5);
}


.technicalSheetModalInner {
    max-width: 90%;
    max-height: 81%;
}

.closeModal {
    top: 0;
    left: 100%;
    transform: translate(-100%,-110%);
}

.download {
    top: 100%;
    left: 50%;
    transform: translate(-50%,10px);
}

.product {
    flex-direction: column;
}

html .productImages, html .product .summary {
    width: 100%;
    min-width: 100%;
    padding-right: unset;
}

.productImage img {
    width: 100%;
    display: block;
    height: 100%;
    object-fit: contain;
}

.productImage {
    width: auto;
    height: 75vh;
}


.product {
    padding-top: 14vh;
}

.cfAccordionIcon {
    -webkit-tap-highlight-color: transparent;
}


.summary.entry-summary {
    margin-top: 50px;
}


   .nfsModalInner {
    height: auto;
    padding: 30px 0;
}

.nfsModalTitle h2 {
    margin-top: unset;
}



.productTitle h2 {
    width: auto;
}


.quantityCartAndShipping {
    position: fixed;
    top: var(--visual-viewport-height);
    transform: translateY(-100%);
    left: 0;
    background-color: white;
    width: 100%;
    z-index: 8;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 120px;
    will-change: transform;
}

.productTitle {
    position: fixed;
    top: calc(var(--visual-viewport-height) - 120px + 1px);
    left: 0;
    transform: translateY(-100%);
    z-index: 10;
    background-color: white;
    margin-bottom: unset;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    filter: drop-shadow(0px -22px 7px rgba(0,0,0,0.1));
    transition: transform 0.4s ease-in-out;
    transform-origin: bottom;
    will-change: transform;
}
.quantity input {
    pointer-events: none;
}

html .productTitle.swipeDown{
    transform: translateY(-100%) scaleY(0);
}

.productTitle h1 {
    text-align: center;
    max-width: 70%;
}

.productTitle, .quantityCartAndShipping {
    animation: popIn 0.45s ease-in-out;
    animation-delay:1.5s;
    animation-fill-mode: backwards;
}

.quantityCartAndShipping::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 200px;
    background-color: white;
}


.productTitle h1 span {
    position: static;
    display: block;
    white-space: normal;
    text-wrap: wrap;
}

.leftResponsiveLogo svg, .leftResponsiveLogo svg * {
    fill: #0f2a44!important;
}
.rightResponsiveHeader svg * {
    stroke: #0f2a44;
}

.header.headerResponsive.headerStuck {
    background-color: rgba(255,255,255,0.9)!important;
}


.mobileMenu {
    background-color: white!important;
}

.mobileMenuLinksSeparator {
    background-color: #0f2a44;
}


.technicalSheetModalInner canvas {
    max-height: 75vh;
}

}

@media only screen and (max-width:800px){
    .nfsModalInner {
    width: 95%;
}
.nfsModalBackground {
    width: 300px;
    height: 300px;
}
}


@media only screen and (max-width:650px){
    span.nfsModalClose, .nfsModalButtons a {
    font-size: 0.8em;
}
}

@media only screen and (max-width:550px){

 
.nfsModalTitle h3 {
    font-size: 1.1em;
}
.nfsModalContent p {
    width: 78%;
    font-size: 0.9em;
}

.nfsModalButtons {
    flex-direction: column-reverse;
}

.nfsModalTitle h2 {
    font-size: 1.7em;
    padding: 0 5%;
}
    
    .technicalSheetModalInner {
    max-width: 90%;
    max-height: 95%;
    min-width: 95%;
}

.technicalSheetModalInner canvas {
    max-height: 90vh;
}

.productTitle h1 {
    font-size: 1.2em;
}

.productImage {
    width: auto;
    height: auto;
}


.download {
    top: 100%;
    left: 50%;
    transform: translate(-50%,100%);
}

button.single_add_to_cart_button.button.alt {
    font-size: 1.2em;
}

button.single_add_to_cart_button.button.alt span {
    font-size: 12px;
}

.shippingTime p {
    font-size: 0.7em;
}


}

@supports (-webkit-touch-callout: none) {
    .quantity input {
        width: 50px;
    }
}

@media only screen and (max-width:550px) and (min-width:430px){
    .download {
    top: 100%;
    left: 50%;
    transform: translate(-50%,5%);
}
}

@media only screen and (max-height:700px){
    .product {
    padding-top: 140px;
}
}



@supports (-webkit-touch-callout: none) {
    @media (max-width: 1000px) {
       .productTitle, .quantityCartAndShipping {
    animation-delay:0s;
}
 
    }
}